"use client"
import { useIntl } from "react-intl"

import { MaterialIcon } from "@scandic-hotels/design-system/Icons/MaterialIcon"

import Button from "@/components/TempDesignSystem/Button"

export default function AddToCalendarButton({
  onPress,
}: {
  onPress: () => void
}) {
  const intl = useIntl()

  return (
    <Button intent="text" size="small" theme="base" wrapping onPress={onPress}>
      <MaterialIcon icon="calendar_add_on" color="CurrentColor" />
      {intl.formatMessage({
        defaultMessage: "Add to calendar",
      })}
    </Button>
  )
}
